#!/bin/sh

VER=4.8.0-0

nmake /f makefile.vc INSTDIR=C:\\OSGeo4W

rm -rf release
mkdir release
mkdir release/include
mkdir release/bin
mkdir release/lib
mkdir release/share
mkdir release/share/proj
mkdir release/etc
mkdir release/etc/ini

nmake /f makefile.vc INSTDIR=..\\release install-all

cp src/projects.h release/include
cp release/lib/proj_i.lib release/lib/libproj.a

# No need to keep the large static library
rm release/lib/proj.lib

cat release/share/proj/other.extra >> release/share/proj/epsg

echo "SET PROJ_LIB=%OSGEO4W_ROOT%\share\proj" > release/etc/ini/proj.bat

rm *.bz2
cd release

# Capture HPGN files as a package.

tar cjvf ../proj-hpgn-1.0-1.tar.bz2 share/proj/*hpgn*
rm share/proj/*hpgn*

# Capture Other Grid Shift files

GRID_LIST=`ls share/proj/*.gsb share/proj/ntv1_can.dat share/proj/{MD,TN,WI,WO,alaska,conus,hawaii,prvi,stgeorge,stlrnc,stpaul}`
tar cjvf ../proj-datumgrid-1.5-1.tar.bz2 $GRID_LIST
rm $GRID_LIST

tar cjvf ../proj-$VER.tar.bz2 *

mkdir src
mkdir src/proj
cp ../nmake.opt ../package.sh ../upload.sh src/proj
tar cjvf ../proj-${VER}-src.tar.bz2 src
cd ..
